<?php
/**
 * Tis file is part of XNova:Legacies
 *
 * @license http://www.gnu.org/licenses/gpl-3.0.txt
 * @see http://www.xnova-ng.org/
 *
 * Copyright (c) 2009-Present, XNova Support Team <http://www.xnova-ng.org>
 * All rights reserved.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *                                --> NOTICE <--
 *  This file is part of the core development branch, changing its contents will
 * make you unable to use the automatic updates manager. Please refer to the
 * documentation for further information about customizing XNova.
 *
 */

define('INSIDE' , true);
define('INSTALL' , false);
require_once dirname(__FILE__) .'/common.php';

    includeLang('chat');
    $BodyTPL = gettemplate('chat_body');

    $nick = $user['username'];
    $parse = $lang;

    $NbreDaysDelMsg = 3;
    $QryDeleteOldMsg = <<<SQL
                                DELETE FROM {{table}} 
                                WHERE         `timestamp` <= UNIX_TIMESTAMP(NOW()) - (3600 * 24 * {$NbreDaysDelMsg});
SQL;
    
    // Les messages datant de plus de 3 jours
    // sont effacs
    doquery($QryDeleteOldMsg, 'chat');
    
    $QrySelectUsers = <<<SQL
                                SELECT         `id`, `username`, `authlevel` 
                                FROM         {{table}} 
                                WHERE         (`current_page` LIKE '%chat_msg.php%' OR `current_page` LIKE '%chat.php%') AND 
                                            `onlinetime` >= UNIX_TIMESTAMP(NOW()) - 300 
                                ORDER BY     `username` ASC;
SQL;
    
    // On rcupre les joueurs qui sont sur le chat
    // il y a moins de 5 minutes
    $Result = doquery($QrySelectUsers, 'users');
    
    $parse['UsersConnected'] = "";
    
    while( $TheUser = mysql_fetch_array($Result) )
    {
        // Couleur personnalise selon
        // le rang du joueur
        
        if ($TheUser['authlevel'] == 3)
            $color = "#FF0000";
        elseif ($TheUser['authlevel'] == 2)
            $color = "#660066";
        elseif ($TheUser['authlevel'] == 1)
            $color = "#006600";
        else
            $color = "#FFFFFF";
            
        $parse['UsersConnected'] .= <<<TXT
                                            <tr align="left">
                                                <td class="c" style="background-image: none; border: 0px;"><a href="messages.php?mode=write&id={$TheUser['id']}" style="color: {$color};">{$TheUser['username']}</a></td>
                                            </tr>
TXT;
    }
    
    $page = parsetemplate($BodyTPL, $parse);
    display($page, $lang['Chat'], false);

// Shoutbox by e-Zobar - Copyright XNova Team 2008
// Modifi par Winjet
?>