<?php
/**
 * Tis file is part of XNova:Legacies
 *
 * @license http://www.gnu.org/licenses/gpl-3.0.txt
 * @see http://www.xnova-ng.org/
 *
 * Copyright (c) 2009-Present, XNova Support Team <http://www.xnova-ng.org>
 * All rights reserved.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *                                --> NOTICE <--
 *  This file is part of the core development branch, changing its contents will
 * make you unable to use the automatic updates manager. Please refer to the
 * documentation for further information about customizing XNova.
 *
 */

define('INSIDE'  , true);
define('INSTALL' , false);

define('INSIDE' , true);
define('INSTALL' , false);
require_once dirname(__FILE__) .'/common.php';

includeLang('tech');

    $HeadTpl = gettemplate('techtree_head');
    $RowTpl  = gettemplate('techtree_row');
    $id = 0;
    foreach($lang['tech'] as $Element => $ElementName) {
        $verif = 1;
        $parse            = array();
        $parse['tt_name'] = $ElementName;
        if ($Element >= 601 && $Element <= 615) {
            $parse['dpath']        = '/images/officiers/';
            $parse['ext'] = 'jpg';
        }
        else
        {
            $parse['dpath']        = $dpath.'/gebaeude/';
            $parse['ext'] = 'gif';
        }
        if (!isset($resource[$Element])) {
            $parse['Requirements']  = $lang['Requirements'];
            $parse['Images'] = $lang['Images'];
            $parse['Batiments'] = $lang['Batiments'];
            $parse['BatimentsSpeciaux'] = $lang['BatimentsSpeciaux'];
            $parse['Recherches']= $lang['Recherches'];
            $parse['Vaisseaux'] = $lang['Vaisseaux'];
            $parse['Defenses'] = $lang['Defenses'];
            $parse['Officiers'] = $lang['Officiers'];
            $parse['id'] = 'id='.$id;
            $id++;
            $page                  .= parsetemplate($HeadTpl, $parse);
		} else {
			if (isset($requeriments[$Element])) {
				$parse['required_list'] = "";
				foreach($requeriments[$Element] as $ResClass => $Level) {
                    if       ( isset( $user[$resource[$ResClass]] ) &&
                         $user[$resource[$ResClass]] >= $Level) {
                        $parse['required_list'] .= "<font color=\"#00ff00\">";                        
                    } elseif ( isset($planetrow[$resource[$ResClass]] ) &&
                        $planetrow[$resource[$ResClass]] >= $Level) {
                        $parse['required_list'] .= "<font color=\"#00ff00\">";
                    } else {
                        $parse['required_list'] .= "<font color=\"#ff0000\">";
                        $verif = 0;
                    }
                    $parse['required_list'] .= $lang['tech'][$ResClass] ." (". $lang['level'] ." ". $Level .")";
                    $parse['required_list'] .= "</font><br>";
                }
                $parse['tt_detail']      = "<a href=\"techdetails.php?techid=". $Element ."\">" .$lang['treeinfo'] ."</a>";
            } else {
                $parse['required_list'] = "";
                $parse['tt_detail']     = "";
            }
            if ($verif == 1) {
                $parse['dispo'] = "<font color=green>Disponible</font>";
            }
            else
            {
                $parse['dispo'] = "<font color=red>Indisponible</font>";
            }
            $parse['tt_info']   = $Element;
            $page              .= parsetemplate($RowTpl, $parse);
}
	}

	$parse['techtree_list'] = $page;
	$page                   = parsetemplate(gettemplate('techtree_body'), $parse);

	display($page, $lang['Tech']);

// -----------------------------------------------------------------------------------------------------------
// History version
// - 1.0 mise en conformité code avec skin XNova
// - 1.1 ajout lien pour les details des technos
// - 1.2 suppression du lien details ou il n'est pas necessaire
?>
